Imports Order.Read.Domain
Imports System.Data.Entity

Namespace Order.Read.Data
	Public Class OrderReadContext
		Inherits DbContext

	  Public Sub New()
		  MyBase.New("name=GeekStuffSales")
	  End Sub

	  Public Property Orders As DbSet(Of SalesOrder)

	Protected Overrides Sub OnModelCreating(ByVal modelBuilder As DbModelBuilder)
	  modelBuilder.HasDefaultSchema("Order")
	End Sub
	End Class

  Public Class OrderSystemContextConfig
	  Inherits DbConfiguration

	Public Sub New()
	  SetDatabaseInitializer(New NullDatabaseInitializer(Of OrderReadContext))
	End Sub
  End Class
End Namespace
