Namespace Order.Write.Domain.DTOs
  Public Class CartItem
	Public Shared Function Create(ByVal productId As Integer, ByVal price As Decimal, ByVal quantity As Integer) As CartItem
	  Return New CartItem(productId, price, quantity)
	End Function

	Public Sub New(ByVal productId As Integer, ByVal price As Decimal, ByVal quantity As Integer)
	  Me.ProductId = productId
	  Me.Price = price
	  Me.Quantity = quantity
	End Sub

	Private privateProductId As Integer
	Public Property ProductId As Integer
		Get
			Return privateProductId
		End Get
		Private Set(ByVal value As Integer)
			privateProductId = value
		End Set
	End Property

	Private privatePrice As Decimal
	Public Property Price As Decimal
		Get
			Return privatePrice
		End Get
		Private Set(ByVal value As Decimal)
			privatePrice = value
		End Set
	End Property

	Private privateQuantity As Integer
	Public Property Quantity As Integer
		Get
			Return privateQuantity
		End Get
		Private Set(ByVal value As Integer)
			privateQuantity = value
		End Set
	End Property
  End Class
End Namespace
