Namespace MvcSalesApp.SharedKernel.Settings
  Public NotInheritable Class ShoppingCartSettings
	Private Shared privateCookieExpiration As TimeSpan
	Public Shared Property CookieExpiration As TimeSpan
		Get
			Return privateCookieExpiration
		End Get
		Private Set(ByVal value As TimeSpan)
			privateCookieExpiration = value
		End Set
	End Property

	Private Sub New()
	End Sub

	Public Shared Sub ShouldBeProtectedCookieExpirationSetter(ByVal expiration As TimeSpan)
	  CookieExpiration = expiration
	End Sub
  End Class
End Namespace
